=== include/grdab/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    moving_sum_ff.h
    ofdm_ffe_all_in_one.h
    ofdm_sampler.h
    ofdm_coarse_frequency_correct.h
    diff_phasor_vcc.h
    ofdm_remove_first_symbol_vcc.h
    frequency_interleaver_vcc.h
    qpsk_demapper_vcb.h
    complex_to_interleaved_float_vcf.h
    modulo_ff.h
    measure_processing_rate.h
    select_vectors.h
    repartition_vectors.h
    unpuncture_vff.h
    fib_sink_vb.h
    prune_vectors.h
    estimate_sample_rate_bf.h
    fractional_interpolator_triggered_update_cc.h
    magnitude_equalizer_vcc.h
    qpsk_mapper_vbc.h
    ofdm_insert_pilot_vcc.h
    sum_phasor_trig_vcc.h
    ofdm_move_and_insert_zero.h
    insert_null_symbol.h
    time_deinterleave_ff.h
    crc16_bb.h
    select_subch_vfvf.h
    unpuncture_ff.h
    prune.h
    firecode_check_bb.h
    puncture_bb.h
    mp2_decode_bs.h
    mp4_decode_bs.h
    reed_solomon_decode_bb.h
    valve_ff.h
    peak_detector_fb.h
    xrun_monitor_cc.h
    control_stream_to_tag_cc.h DESTINATION include/grdab
)
