=== debian/changelog ===
gr-dab (0.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 10 Nov 2018 09:18:00 +0100

gr-dab (0.3-2) unstable; urgency=medium

  * debian/control:
    - Depend on matching version of libgnuradio-dab3.7.13
    - Set Multi-Arch: same for gr-dab-dev
    - Build-depend on txt2man
  * debian/gr-dab.examples: Install channels.yaml
  * debian/gr-dab.install: Install sdr-zmq-daemon
  * debian/rules:
    - New overrides for building man page with txt2man
  * debiaen/man: Man pages generated via txt2man

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 03 Nov 2018 15:01:01 +0100

gr-dab (0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Build-depend and install-depend on python-gtk2
  * debian/gr-dab.docs: Install README.md
  * debian/rules: set --no-parallel since parallel build can fail

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Nov 2018 08:09:54 +0100

gr-dab (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #906983)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 22:38:24 +0200
