=== debian/control ===
Source: gr-dab
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 11),
               gnuradio-dev,
               cmake,
               libfaad-dev,
               doxygen,
               pkg-config,
               python-gtk2,
               swig,
               txt2man
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/rubund/gr-dab
Vcs-Git: https://salsa.debian.org/rubund/gr-dab.git
Homepage: https://github.com/andrmuel/gr-dab


Package: gr-dab
Architecture: any
Depends: libgnuradio-dab3.7.13 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         gnuradio,
         python
Description: Gnuradio blocks and tools for receiving DAB and DAB+ radio
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 GNURadio Companion modules are also included.


Package: libgnuradio-dab3.7.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Shared library for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the shared library for gr-dab.


Package: gr-dab-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnuradio-dab3.7.13 (= ${binary:Version}),
         gnuradio-dev,
         ${misc:Depends}
Description: Development files for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the development files for gr-dab
