=== debian/watch ===
version=3
https://github.com/andrmuel/gr-dab/releases /andrmuel/gr-dab/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
